
double _efl_linear_interpolator_efl_interpolator_interpolate(Eo *obj, Efl_Linear_Interpolator_Data *pd, double progress);


static Eina_Bool
_efl_linear_interpolator_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_LINEAR_INTERPOLATOR_EXTRA_OPS
#define EFL_LINEAR_INTERPOLATOR_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_interpolator_interpolate, _efl_linear_interpolator_efl_interpolator_interpolate),
      EFL_LINEAR_INTERPOLATOR_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_linear_interpolator_class_desc = {
   EO_VERSION,
   "Efl.Linear_Interpolator",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Linear_Interpolator_Data),
   _efl_linear_interpolator_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_linear_interpolator_class_get, &_efl_linear_interpolator_class_desc, EFL_OBJECT_CLASS, EFL_INTERPOLATOR_INTERFACE, NULL);
